schedwrk_instance Struct Reference

## Data Fields

int(* | schedwrk_fn )(const void *)
const void * | context
void * | callback_handle
int | lock

## Detailed Description

Definition at line 45 of file schedwrk.c.

## Field Documentation

## callback_handle

void* schedwrk_instance::callback_handle

Definition at line 48 of file schedwrk.c.

## context

const void* schedwrk_instance::context

Definition at line 47 of file schedwrk.c.

Referenced by schedwrk_create(), and schedwrk_create_nolock().

## lock

int schedwrk_instance::lock

Definition at line 49 of file schedwrk.c.

## schedwrk_fn

int(* schedwrk_instance::schedwrk_fn) (const void *)

Definition at line 46 of file schedwrk.c.

Referenced by schedwrk_create(), and schedwrk_create_nolock().

The documentation for this struct was generated from the following file:

- schedwrk.c